Loading...
Searching...
No Matches
space_mult_list< T, M >

## Detailed Description

template<class T, class M>
class rheolef::space_mult_list< T, M >

Definition at line 54 of file space_mult.h.

Inheritance diagram for space_mult_list< T, M >:

## Public Types

typedef space_mult_list_rep< T, M > | rep
typedef smart_pointer< rep > | base
typedef space_basic< T, M > | value_type
typedef rep::size_type | size_type
typedef rep::const_iterator | const_iterator
Public Types inherited from smart_pointer< space_mult_list_rep< T, M > >
typedef T | handled_type
typedef base::internal | internal

## Public Member Functions

| space_mult_list ()
size_type | size () const
const_iterator | begin () const
const_iterator | end () const
void | push_back (const value_type &X) const
void | push_front (const value_type &X) const
Public Member Functions inherited from smart_pointer< space_mult_list_rep< T, M > >
| smart_pointer (T *p=0)
smart_pointer< T > & | operator= (const smart_pointer< T > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, details::constructor_copy< T > >
| smart_pointer_base (T *p=0)
smart_pointer_base< T, details::constructor_copy< T > > & | operator= (const smart_pointer_base< T, details::constructor_copy< T > > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
int | reference_counter () const
counter * | get_count () const

## Member Typedef Documentation

## rep

template<class T, class M>

typedef space_mult_list_rep<T,M> rep

Definition at line 57 of file space_mult.h.

## base

template<class T, class M>

typedef smart_pointer<rep> base

Definition at line 58 of file space_mult.h.

## value_type

template<class T, class M>

typedef space_basic<T,M> value_type

Definition at line 59 of file space_mult.h.

## size_type

template<class T, class M>

typedef rep::size_type size_type

Definition at line 60 of file space_mult.h.

## const_iterator

template<class T, class M>

typedef rep::const_iterator const_iterator

Definition at line 61 of file space_mult.h.

## Constructor & Destructor Documentation

## space_mult_list()

template<class T, class M>

space_mult_list | ( |  | ) |

Definition at line 65 of file space_mult.h.

## Member Function Documentation

## size()

template<class T, class M>

size_type size | ( |  | ) | const

Definition at line 69 of file space_mult.h.

## begin()

template<class T, class M>

const_iterator begin | ( |  | ) | const

Definition at line 70 of file space_mult.h.

## end()

template<class T, class M>

const_iterator end | ( |  | ) | const

Definition at line 71 of file space_mult.h.

## push_back()

template<class T, class M>

void push_back | ( | const value_type & | X | ) | const

Definition at line 75 of file space_mult.h.

## push_front()

template<class T, class M>

void push_front | ( | const value_type & | X | ) | const

Definition at line 76 of file space_mult.h.

The documentation for this class was generated from the following files:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/space.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/space_mult.h